From 17e50aff2f89eb492cf8ac6b9dfa8b1b489afeab Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@rosenzweig.io>
Date: Sun, 17 Oct 2021 15:08:53 -0400
Subject: [PATCH] HACK: don't oops for glanzmann

---
 drivers/gpu/drm/apple/dcp.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/drivers/gpu/drm/apple/dcp.c b/drivers/gpu/drm/apple/dcp.c
index 53206f6e3656..45797158c099 100644
--- a/drivers/gpu/drm/apple/dcp.c
+++ b/drivers/gpu/drm/apple/dcp.c
@@ -1088,6 +1088,11 @@ void dcp_flush(struct drm_crtc *crtc, struct drm_atomic_state *state)
 
 		mode = lookup_mode(dcp, &crtc_state->mode);
 
+		if (WARN(!mode, "failed to match mode")) {
+			apple_crtc_vblank(dcp->crtc);
+			return;
+		}
+
 		dcp->mode = (struct dcp_set_digital_out_mode_req) {
 			.color_mode_id = mode->color_mode_id,
 			.timing_mode_id = mode->timing_mode_id
-- 
2.30.2

